<div class="container-xxl d-flex flex-column gap-3 p-3 h-100 position-relative">
  <h4 style="color: #495057; text-align: center">Каталог электронных компонентов</h4>
  <div class="d-flex flex-column flex-sm-row gap-3 mt-3 mb-2">
    <div>
          <span class="p-input-icon-left w-100">
          <i class="pi pi-search" style="color: #495057"></i>
          <input type="text"
                 pInputText
                 [(ngModel)]="productSearchValue"
                 #productSearch
                 placeholder="Поиск">
          </span>
    </div>
    <p-dropdown [options]="companies"
                optionLabel="label"
                (onChange)="changeCompany($event)">
    </p-dropdown>
  </div>
  <div *ngIf="products[0]; else noProducts" class="products-list flex-grow-1">
    <div *ngFor="let product of shownProducts"
         class="product-item"
         (click)="openProduct(product)">
      <div *ngIf="product.img; else noProductImg"
           style="background-image: url('http://localhost:3000/public/{{product.img}}')"
           class="item-image">
      </div>
      <div>
        <h5>{{product.name}}</h5>
        <div>{{product.company}}</div>
      </div>
      <div class="item-price">{{product.price}}</div>
    </div>
  </div>
  <button pButton
          type="button"
          (click)="scrollToTop()"
          icon="pi pi-angle-up"
          class="p-button-outlined p-button-rounded button-top">
  </button>
  <p-paginator [rows]="countOfShownProducts"
               [totalRecords]="products.length"
               (onPageChange)="paginate($event)">
  </p-paginator>
</div>


<ng-template #noProducts>
  <div class="empty-page">Товаров не найдено</div>
</ng-template>

<ng-template #noProductImg>
  <div style="background-image: url('assets/no-img.png')"
       class="item-image">
  </div>
</ng-template>

